//	ClineFitInclude.cpp
//  2002 copyright AH Porter

//these are needed to compile and run ClineFit.  20021025



#include "MemoryManager.cpp"
#include "aTime.cpp"
#include "aError.cpp"
#include "Element.cpp"
#include "aList.cpp"
#include "StatList.cpp"
#include "StringClass.cpp"
#include "StringList.cpp"
#include "SortList.cpp"
#include "Randomness.cpp"
#include "RandomList.cpp"
#include "Gamma.cpp"
#include "Hyperbolics.cpp"
#include "NormalDistrib.cpp"
#include "aVector.cpp"
#include "aMatrix.cpp"
#include "aMatrix2.cpp"
#include "MatrixFunctions.cpp"
#include "MatrixList.cpp"
#include "PartitionedMatrix.cpp"
#include "GeneralLinearModel.cpp"
#include "ParamRec.cpp"
#include "dataColumnRec.cpp"
#include "dataColumnRecNum.cpp"
#include "dataColumnRecStr.cpp"
#include "dataSetRec.cpp"
#include "ANOVALine.cpp"
#include "ANOVATable.cpp"
#include "MetropolisHastings.cpp"
#include "NormalDistParamRec.cpp"
#include "Fstatistics.cpp"
#include "HarmonicMeanDiseq.cpp"
#include "GeneFrequencyDistrib.cpp"
#include "GeneFrequencyDistMultiAllele.cpp"
#include "GenotypeFreqDistribution.cpp"
#include "GenotypeFreqMultiAlllele.cpp"
#include "ANOVAGenetics.cp"
#include "PopulationGeneticData.cpp"
#include "FstatisticAnalysis.cpp"
#include "PopulationPhenotypicData.cpp"
#include "HybridIndex.cpp"
#include "HybridIndexByLocation.cpp"
#include "ClineShapeCWParamRec.cpp"
#include "ClineShapeCWTBParamRec.cpp"
#include "ClineShapeCWTlTrParamRec.cpp"
#include "ClineShapeCWTlTrDParamRec.cpp"
#include "ClineShapeCWTlTrTBParamRec.cpp"
#include "ClineShapeCWTlTrTBDParamRec.cpp"
#include "ClineShapeCWTlTrTMQ2ParamRec.cpp"
#include "ClineDiseqParamRec.cpp"
#include "ClineFitFunctions.cpp"
#include "ClineGeneticData.cpp"
#include "ClinePhenotypicData.cpp"
#include "FitClineShapes.cpp"


//if compiling in a MetroWerks CodeWarrior environment, you need these too
#include "aList_int_.cpp"
#include "aList_long_.cpp"
#include "aList_float_.cpp"
#include "aList_double_.cpp"
#include "StatList_long_.cpp"
#include "StatList_float_.cpp"
#include "StatList_double_.cpp"
#include "ObjList_aString_.cpp"
#include "ObjList_StringList_.cpp"
#include "aVector_double_.cpp"
#include "aMatrix_double_.cpp"
#include "ObjList_MatrixList_.cpp"
#include "ObjList_MatrixHandle_dbl__.cpp"
#include "dataColumnRecNum_dbl_.cpp"
#include "ObjList_dataColumnRec_.cpp"
#include "ObjList_ANOVALine_.cpp"
#include "ObjList_ParamRec_.cpp"
#include "SortList_ParamRec_.cpp"
#include "ObjL_HybridIndexByLocation_.cpp"
#include "ObjList_HybridIndexByLocus_.cpp"
