// HybridIndexByLocus.h

//This class holds a hybrid index

#ifndef HybridIndexByLocush
#define HybridIndexByLocush = 1

#include "HybridIndexByLocation.h"
#include "Element.cpp"
#include "aList.cpp"
#include "MemoryManager.h"
//definitions for
class HybridIndexByLocus;





class HybridIndexByLocus: public ObjList<HybridIndexByLocation>{
	public:
			HybridIndexByLocus(void){}
			
			HybridIndexByLocus(HybridIndexByLocus& h):
					ObjList<HybridIndexByLocation>(h) {}
			HybridIndexByLocus(HybridIndexByLocus* h): 
					ObjList<HybridIndexByLocation>(h) {}
			
	virtual 	~HybridIndexByLocus(void){}
				
	virtual void	Append(double hiVal, int itemsVal, double xVal){
				HybridIndexByLocation *h = 
					NEW HybridIndexByLocation(hiVal,itemsVal,xVal);
				Append(h);}

	void	Append(HybridIndexByLocation* h){
				ObjList<HybridIndexByLocation>::Append(h);}

	virtual double	x(long loc){
						HybridIndexByLocation& h = Nth(loc);
						return h.x();}
	virtual double	hi(long loc){
						HybridIndexByLocation& h = Nth(loc);
						return h.hi();}
	virtual int		items(long loc){
						HybridIndexByLocation& h = Nth(loc);
						return h.items();}
	
	};//end class HybridIndexByLocus


#endif
